| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::GLSLESProgramManagerCommon Class Reference

`#include <OgreGLSLESProgramManagerCommon.h>`

Inheritance diagram for Ogre::GLSLESProgramManagerCommon:
[legend]

## Public Member Functions
| GLSLESProgramManagerCommon (void)
| ~GLSLESProgramManagerCommon (void)
void | optimiseShaderSource (GLSLESGpuProgram *gpuProgram)

## Static Public Member Functions
static void | extractUniforms (GLuint programObject, const GpuConstantDefinitionMap *vertexConstantDefs, const GpuConstantDefinitionMap *fragmentConstantDefs, GLUniformReferenceList &list, GLUniformBufferList &sharedList)
| Populate a list of uniforms based on a program object. More...

## Constructor & Destructor Documentation

## ◆ GLSLESProgramManagerCommon()

Ogre::GLSLESProgramManagerCommon::GLSLESProgramManagerCommon | ( | void |  | ) |

## ◆ ~GLSLESProgramManagerCommon()

Ogre::GLSLESProgramManagerCommon::~GLSLESProgramManagerCommon | ( | void |  | ) |

## Member Function Documentation

## ◆ optimiseShaderSource()

void Ogre::GLSLESProgramManagerCommon::optimiseShaderSource | ( | GLSLESGpuProgram * | gpuProgram | ) |

## ◆ extractUniforms()

static void Ogre::GLSLESProgramManagerCommon::extractUniforms | ( | GLuint | programObject,
|  | const GpuConstantDefinitionMap * | vertexConstantDefs,
|  | const GpuConstantDefinitionMap * | fragmentConstantDefs,
|  | GLUniformReferenceList & | list,
|  | GLUniformBufferList & | sharedList
| ) |  |
| static

Populate a list of uniforms based on a program object.

Parameters

  programObject | Handle to the program object to query
  vertexConstantDefs | Definition of the constants extracted from the vertex program, used to match up physical buffer indexes with program uniforms. May be null if there is no vertex program.
  fragmentConstantDefs | Definition of the constants extracted from the fragment program, used to match up physical buffer indexes with program uniforms. May be null if there is no fragment program.
  list | The list to populate (will not be cleared before adding, clear it yourself before calling this if that's what you want).

The documentation for this class was generated from the following file:

- OgreGLSLESProgramManagerCommon.h